Solved

websvn on ubuntu ,apache

Posted on 2006-06-23
9
1,156 Views
Last Modified: 2013-12-16
Hi, I got svn working on ubuntu.
but the websvn don't work at all.
I get these errors:
Warning: Unknown: failed to open stream: Permission denied in Unknown on line 0

Warning: Unknown: Failed opening '/var/www/websvn/index.php' for inclusion (include_path='.:/usr/share/php:/usr/share/pear') in Unknown on line 0
running websvn 2.1 alpha 1

anyone succssessfully put websvn on ubuntu server (LAMP, pre installed php,mysql, apache)?
thanks
0
Comment
Question by:thor918
[X]
Welcome to Experts Exchange

Add your voice to the tech community where 5M+ people just like you are talking about what matters.

  • Help others & share knowledge
  • Earn cash & points
  • Learn & ask questions
  • 6
9 Comments
 
LVL 2

Author Comment

by:thor918
ID: 16968405
hmm okei. got the websvn 1.6 working now.
but I like how 2.1 looks.
0
 
LVL 22

Accepted Solution

by:
pjedmond earned 250 total points
ID: 16968472
>Warning: Unknown: Failed opening '/var/www/websvn/index.php' for inclusion (include_path='.:/usr/share/php:/usr/share/pear') in Unknown on line 0

Implies that there may be a problem with read access to /var/www/websvn/index.php, or it might not even exist. Check that and correct if necessary before repeating process.

A clue here is that the package has the name 'alpha' in it. This normally implies 'with problems and bugs'! Unless you're comfortable with messing with alpha software, normally I'd avoid it, and I definitely would not be putting it into a production environment.

(   (()
(`-' _\
 ''  ''
0
 
LVL 2

Author Comment

by:thor918
ID: 16968504
it has nothing to do with it beeing alpha.
tried to manually add the 1.6 and got same error.

using apt-get, websvn1.6 worked.

the php file exists.

so it's a config problem.
0
Don't Cry: How Liquid Web is Ensuring Security

WannaCry is just the start. Read how Liquid Web is protecting itself and its customers against new threats.

 
LVL 2

Author Comment

by:thor918
ID: 16968618
okey. 1.6 is good anyway.
I see I had an ugly standard on.
anyone know how to support chars that are non english?
0
 
LVL 2

Author Comment

by:thor918
ID: 16968698
a php.ini change :)
0
 
LVL 2

Author Comment

by:thor918
ID: 16968706
still wondering about how to manually add a newer version of websvn. still don't understand why I get that premission error.
0
 
LVL 2

Author Comment

by:thor918
ID: 16968775
hmm has something to do with file premissions.
if the owner is root on all files, it works.
0

Featured Post

Why Off-Site Backups Are The Only Way To Go

You are probably backing up your data—but how and where? Ransomware is on the rise and there are variants that specifically target backups. Read on to discover why off-site is the way to go.

Question has a verified solution.

If you are experiencing a similar issue, please ask a related question

Google Drive is extremely cheap offsite storage, and it's even possible to get extra storage for free for two years.  You can use the free account 15GB, and if you have an Android device..when you install Google Drive for the first time it will give…
In part one, we reviewed the prerequisites required for installing SQL Server vNext. In this part we will explore how to install Microsoft's SQL Server on Ubuntu 16.04.
Learn several ways to interact with files and get file information from the bash shell. ls lists the contents of a directory: Using the -a flag displays hidden files: Using the -l flag formats the output in a long list: The file command gives us mor…
This demo shows you how to set up the containerized NetScaler CPX with NetScaler Management and Analytics System in a non-routable Mesos/Marathon environment for use with Micro-Services applications.

690 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question